package com.supervision.service;

import com.supervision.dto.paddlespeech.res.TtsResultDTO;
import com.supervision.vo.voice.VoiceReqVO;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

public interface VoiceService {

    String voiceToText(MultipartFile file, String sessionId) throws IOException;


    String voiceToText(byte[] bytes, String sessionId) throws IOException;

    TtsResultDTO textToVoice(String text);
}
